xcalib(1)

NAME
xcalib v0.12.0 - Monitor Calibration Loader

SYNOPSIS
xcalib ICC_FILE_NAME
xcalib -c -d STRING -s NUMBER [-o NUMBER] [-v]
xcalib -i -d STRING -s NUMBER [-o NUMBER] [-v] [-n] [-p[=FORMAT]] [-l] ICC_FILE_NAME | -a
xcalib -g NUMBER -b NUMBER -k NUMBER -d STRING -s NUMBER [-o NUMBER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_FILE_NAME | -a
xcalib -R NUMBER -G NUMBER -B NUMBER -d STRING -s NUMBER [-S NUMBER] [-T NUMBER] [-H NUMBER] [-I NUMBER] [-C NUMBER] [-D NUMBER] [-o NUMBER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_FILE_NAME | -a
xcalib -p[=FORMAT] -d STRING -s NUMBER [-o NUMBER] [-v]
xcalib -h[=synopsis|...] -V --render STRING [-v]

DESCRIPTION
The tool loads ’vcgt’‐tag of ICC profiles to the server using the XRandR/XVidMode/GDI Extension in order to load calibrate curves to your graphics card.

OPTIONS

  Set basic parameters
-d|--display STRING    host:dpy
-s|--screen NUMBER    Screen Number
-o|--output NUMBER    Output Number
    It appears in the order as listed in xrandr tool.
-a|--alter    Alter Table
    Works according to parameters without ICC Profile.
-n|--noaction    Do not alter video-LUTs.
    Work's best in conjunction with -v!
-p|--printramps[=FORMAT]    Print Values on stdout.
    -p TEXT    # TEXT
    -p SVG    # SVG
-l|--loss    Print error introduced by applying ramps to stdout.
-c|--clear    Clear Gamma LUT
    Reset the Video Card Gamma Table (VCGT) to linear values.

  Assign
xcalib ICC_FILE_NAME
ICC_FILE_NAME    File Name of a ICC Profile

  Clear
xcalib -c -d STRING -s NUMBER [-o NUMBER] [-v]
-c|--clear    Clear Gamma LUT
    Reset the Video Card Gamma Table (VCGT) to linear values.

  Invert
xcalib -i -d STRING -s NUMBER [-o NUMBER] [-v] [-n] [-p[=FORMAT]] [-l] ICC_FILE_NAME | -a
-i|--invert    Invert the LUT

  Overall Appearance
xcalib -g NUMBER -b NUMBER -k NUMBER -d STRING -s NUMBER [-o NUMBER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_FILE_NAME | -a
-g|--gamma NUMBER    Specify Gamma (NUMBER:1 [≥0.1 ≤5 Δ0.1])
    Global gamma correction value (use 2.2 for WinXP Color Control-like behaviour)
-b|--brightness NUMBER    Specify Lightness Percentage (NUMBER:0 [≥0 ≤99 Δ1])
-k|--contrast NUMBER    Specify Contrast Percentage (NUMBER:100 [≥1 ≤100 Δ1])
    Set maximum value relative to brightness.

  Per Channel Appearance
xcalib -R NUMBER -G NUMBER -B NUMBER -d STRING -s NUMBER [-S NUMBER] [-T NUMBER] [-H NUMBER] [-I NUMBER] [-C NUMBER] [-D NUMBER] [-o NUMBER] [-v] [-n] [-p[=FORMAT]] [-l] [-c] ICC_FILE_NAME | -a
-R|--red-gamma NUMBER    Specify Red Gamma  (NUMBER:1 [≥0.1 ≤5 Δ0.1])
-S|--red-brightness NUMBER    Specify Red Brightness Percentage (NUMBER:0 [≥0 ≤99 Δ1])
-T|--red-contrast NUMBER    Specify Red Contrast Percentage (NUMBER:100 [≥1 ≤100 Δ1])
    Set maximum value relative to brightness.
-G|--green-gamma NUMBER    Specify Green Gamma  (NUMBER:1 [≥0.1 ≤5 Δ0.1])
-H|--green-brightness NUMBER    Specify Green Brightness Percentage (NUMBER:0 [≥0 ≤99 Δ1])
-I|--green-contrast NUMBER    Specify Green Contrast Percentage (NUMBER:100 [≥1 ≤100 Δ1])
    Set maximum value relative to brightness.
-B|--blue-gamma NUMBER    Specify Blue Gamma  (NUMBER:1 [≥0.1 ≤5 Δ0.1])
-C|--blue-brightness NUMBER    Specify Blue Brightness Percentage (NUMBER:0 [≥0 ≤99 Δ1])
-D|--blue-contrast NUMBER    Specify Blue Contrast Percentage (NUMBER:100 [≥1 ≤100 Δ1])
    Set maximum value relative to brightness.

  Show
xcalib -p[=FORMAT] -d STRING -s NUMBER [-o NUMBER] [-v]
-p|--printramps[=FORMAT]    Print Values on stdout.
    -p TEXT    # TEXT
    -p SVG    # SVG

GENERAL OPTIONS

  General options
xcalib -h[=synopsis|...] -V --render STRING [-v]
-h|--help[=synopsis|...]    Print help text
    Show usage information and hints for the tool.
    -h -    # Full Help : Print help for all groups
    -h synopsis    # Synopsis : List groups - Show all groups including syntax
--render STRING    Render
-V|--version    Version
-v|--verbose    Verbose

ENVIRONMENT VARIABLES

DISPLAY
    Under X11 systems this variable will hold the display name as used for the -d and -s option.

EXAMPLES

Assign the VCGT curves of a ICC profile to a screen
    xcalib ‐d :0 ‐s 0 ‐v profile_with_vcgt_tag.icc

Reset a screens hardware LUT in order to do a calibration
    xcalib ‐d :0 ‐s 0 ‐c

SEE ALSO

oyjl-args(1)

AUTHOR
Stefan Dohla <stefan AT doehla DOT de>
http://www.etg.e‐technik.uni‐erlangen.de/web/doe/xcalib/

COPYRIGHT
Copyright © 2013-2026 Kai-Uwe Behrmann
License: GPL-2.0 https://opensource.org/license/gpl-2.0